API pentru parteneri › Setări Șterge operator POST /api/crm/v2/operators.deletev2
operationId: operators.delete
Șterge operatorul după id, dacă acesta nu este atribuit niciunei zone și niciunui punct de ridicare. Distruge tokenul operatorului și șterge doar înregistrarea operatorului; utilizatorul asociat contului este păstrat.
Autorizare api-token + language + role
Parametri de interogare branch_id integer obligatoriu
Exemplu: 8778
Corpul cererii application/json object
id integer obligatoriu
Exemplu: 7086
Răspunsuri 200
object
status string obligatoriu
Valori: successerror
Exemplu: success
curl PHP JavaScript Python Copiază
curl -X POST 'https://foodsoul.ru/api/crm/v2/operators.delete?branch_id=8778' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: ro' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":7086}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.ru/api/crm/v2/operators.delete?branch_id=8778' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'ro' ,
'role' => 'partner' ,
],
'json' => [
'id' => 7086 ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/operators.delete?branch_id=8778" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "ro" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"id" : 7086
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.ru/api/crm/v2/operators.delete?branch_id=8778" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "ro" ,
"role" : "partner" ,
},
json ={
"id" : 7086 ,
},
)
data = response . json () Răspuns 200
{
"status" : "success" ,
"data" : {}
} Solicitările sunt trimise către foodsoul.ru — acesta este gazda acestui portal, nu se poate alege alta.